import HeroSection from "./components/HeroSection";
import CategorySection from "./components/CategorySection";
import CoursesSection from "./components/CoursesSection";
import { PostType } from "@nice/common";
import PathCard from "@web/src/components/models/post/SubPost/PathCard";
import CourseCard from "@web/src/components/models/post/SubPost/CourseCard";


const HomePage = () => {

	return (
		<div className="min-h-screen">
			<HeroSection />
			<CoursesSection
				title="最受欢迎的思维导图"
				description="深受追捧的思维导图，点亮你的智慧人生"
				postType={PostType.PATH}
				render={(post)=><PathCard post={post}></PathCard>}
			/>
			<CoursesSection
				title="推荐课程"
				description="最受欢迎的精品课程，助你快速成长"
				postType={PostType.COURSE}
				render={(post)=> <CourseCard post={post}></CourseCard>}
			/>
			
			<CategorySection />
		</div>
	);
};

export default HomePage;
